Programs
Programs define the commission structure for your affiliates. Each program has its own commission rate, cookie window, and settings.
List Programs
GET
/v1/programscurl
curl -X GET https://api.icodrip.com/v1/programs \ -H "Authorization: Bearer sk_live_xxxxxxxxxxxxx" \ -H "Content-Type: application/json"
Create Program
POST
/v1/programscurl
curl -X POST https://api.icodrip.com/v1/programs \
-H "Authorization: Bearer sk_live_xxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"name": "Main Program",
"commission_type": "percentage",
"commission_value": 2000,
"cookie_window_days": 90
}'Get Program
GET
/v1/programs/:idcurl
curl -X GET https://api.icodrip.com/v1/programs/prog_01HXYZ \ -H "Authorization: Bearer sk_live_xxxxxxxxxxxxx" \ -H "Content-Type: application/json"
Update Program
PATCH
/v1/programs/:idcurl
curl -X PATCH https://api.icodrip.com/v1/programs/prog_01HXYZ \
-H "Authorization: Bearer sk_live_xxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Program Name",
"cookie_window_days": 30
}'Delete Program
DELETE
/v1/programs/:idcurl
curl -X DELETE https://api.icodrip.com/v1/programs/prog_01HXYZ \ -H "Authorization: Bearer sk_live_xxxxxxxxxxxxx"